Subject: bug#33050: 27.0.50; [macOS] Problem with process input with process-connection-type nil

From: Filipp Gunbin <[email-masked]>
Date: Tue, 30 Oct 2018 22:11:34 +0300

On 29/10/2018 20:49 -0400, Thomas Fitzsimmons wrote:

> I tested ldapsearch after setting the maximum number of ptys to the
> number of currently-busy ptys:
>
> cat /proc/sys/kernel/pty/nr > /proc/sys/kernel/pty/max
>
> It does get run in pipe mode silently (i.e., no warning messages are
> generated), and as we already confirmed, ldapsearch happens to still
> work when run in pipe mode.

Thanks for testing this!

>>> OK, can you try the attached patch before I push it to emacs-26?
>>
>> I tried it on emacs-26, and couldn't get eudc-expand-inline to work, but
>> I think that's a different unrelated problem (maybe auth-source reading
>> .authinfo or something).  Otherwise it looks safe.  I can look more into
>> it on Monday..
>
> OK, I guess file another bug if there's another issue preventing
> eudc-expand-inline from working on emacs-26.

Yes, I'll get to it soon, thanks.

Filipp